%define name beagle
%define version 0.0.12
%define release 5mdk
%define build_epiphany 1

%define libname %mklibname %name 0

Summary: GNOME indexing subsystem
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/beagle/%{name}-%{version}.tar.bz2
Source1: beagle-0.0.11.1-dll.config.tar.bz2
Patch1: beagle-0.0.6.1-firefox.patch.bz2
Patch4: beagle-0.0.8.1-mdnsresponder.patch.bz2
Patch5: beagle-0.0.12-inotify024.patch.bz2
# (fc) 0.0.12-5mdk fix GAIM log indexing (CVS)
Patch6: beagle-0.0.12-gaimindex.patch.bz2
License: MIT/Apache License
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-data-sqlite
BuildRequires: libsqlite-devel
BuildRequires: gnome-sharp-devel
BuildRequires: glade-sharp-devel
BuildRequires: gmime-sharp >= 2.1.15
BuildRequires: gecko-sharp = 0.6
BuildRequires: evolution-sharp >= 0.6
BuildRequires: gsf-sharp
BuildRequires: galago-sharp
#BuildRequires: mdnsresponder
BuildRequires: libexif-devel
BuildRequires: libchm-devel
BuildRequires: wv-devel
BuildRequires: mozilla-firefox-devel
BuildRequires: zip
BuildRequires: ImageMagick
BuildRequires: perl-XML-Parser
Requires: mozilla-firefox = %(rpm -q mozilla-firefox --queryformat '%%{VERSION}')
#gw for inotify >= 0.23
Requires: kernel >= 2.6.12
#gw not picked up by mono-find-requires
#Requires: mdnsresponder
#gw please don't drop these explicit deps, the shared libraries are imported
Requires: %mklibname exif 12
Requires: %mklibname chm 0

%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

%if %build_epiphany
%package epiphany
Summary: Beagle indexing plugin for the epiphany browser
Group: Networking/WWW
Requires: epiphany
BuildRequires: epiphany-devel
Requires: %name = %version
%description epiphany
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your web surfing behaviour.

NOTE: The Beagle Epiphany Extension Is Totally Insecure! Use it at
your own risk!
%endif

%package -n %libname
Group: System/Libraries
Summary: Shared library of beagle
%description -n %libname
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%package -n %libname-devel
Group: Development/C
Summary: Development library of beagle
Requires: %libname = %version
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%prep
%setup -q -a 1
%patch1 -p1
#%patch4 -p1 -b .mdnsresponder
%patch5 -p1 -b .inotify024
%patch6 -p1 -b .gaimindex
autoconf

%build
%configure2_5x --with-mozilla=mozilla-firefox --enable-network --enable-webservices \
%if %build_epiphany
--enable-epiphany-extension --enable-epiphany-extension-install
%endif

#gw parallel build broken
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -f %buildroot%_libdir/epiphany-*/extensions/libbeagleextension*a \
      %buildroot%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack*a \
      %buildroot%_libdir/%name/*a

mkdir -p %buildroot%_menudir/
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/best" \
	needs="X11" \
	section="System/File Tools" \
	startup_notify="true" \
	icon="%name.png" \
	title="Beagle Search" \
	longtitle="Search your data"
?package(%{name}): \
	command="%{_bindir}/beagle-settings" \
	needs="X11" \
	section="System/Configuration/GNOME" \
	startup_notify="true" \
	icon="%name.png" \
	title="Search & Indexing" \
	longtitle="Configure search & indexing properties"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48 images/best.png %buildroot%_liconsdir/%name.png
convert -scale 32 images/best.png %buildroot%_iconsdir/%name.png
convert -scale 16 images/best.png %buildroot%_miconsdir/%name.png

#gw TODO: install the mozilla extension
install -m 644 mozilla-extension/beagle.xpi %buildroot%_libdir/beagle/

#gw install the dll config files
cp *.config %buildroot%_libdir/%name/
# ahead of time compile the executables for faster loading
export MONO_GAC_PREFIX=%buildroot%_prefix
#find %buildroot -name \*.exe -exec mono --aot -O=all,-shared {} \;

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README NEWS AUTHORS ChangeLog 
%_bindir/beagle-build-index
%_bindir/beagle-manage-index
%_bindir/beagle-settings
%_bindir/beagle-config
%_bindir/beagle-exercise-file-system
%_bindir/beagle-imlogviewer
%_bindir/beagle-index-info
%_bindir/beagle-index-url
%_bindir/beagle-info
%_bindir/beagle-ping
%_bindir/beagle-query
%_bindir/beagle-shutdown
%_bindir/beagle-status
%_bindir/beagled
%_bindir/best
%_bindir/searchomatic
%_libdir/%name
%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack.so*
%_libdir/pkgconfig/beagle*.pc
%_mandir/man1/*
%_datadir/applications/best.desktop
%_datadir/applications/beagle-settings.desktop
%_datadir/pixmaps/*
%_datadir/beagle/
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%if %build_epiphany
%files epiphany
%defattr(-,root,root)
%doc README
%_libdir/epiphany-*/extensions/*
%endif

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*a
%_includedir/libbeagle/
%_libdir/pkgconfig/libbeagle*.pc

%changelog
* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-5mdk 
- Patch6 (CVS): fix GAIM log indexing
- Disable all references to mdnsresponder, it is no longer used
  by beagle

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-4mdk 
- Patch5 (CVS): support for inotify 0.24

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-3mdk
- rebuild for new firefox

* Thu Jul 21 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-2mdk
- enable web services
- fix deps

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-1mdk
- add libbeagle package
- enable galago
- bump deps
- New release 0.0.12

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-2mdk
- add dep on libchm
- update dll config

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-1mdk
- drop patch 0
- New release 0.0.11.1

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11-1mdk
- update buildrequires
- patch to add missing source file
- drop patch 5
- New release 0.0.11

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-2mdk
- rebuild for new wv

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-1mdk
- reenable epiphany extension
- drop patches 2,3
- drop dbus dep
- New release 0.0.10

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-7mdk
- rebuild for new firefox

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-6mdk
- disable web service

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-5mdk
- disable broken aot
- fix buildrequires

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-4mdk
- enable web service

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-3mdk
- fix beagled script

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-2mdk
- fix buildrequires

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-1mdk
- add locale files
- aot compile the executables
- requires new kernel, but you really need kernel-multimedia!
- drop patch 0
- New release 0.0.9

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-8mdk
- rebuild for new dbus-sharp

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-7mdk
- disable the epiphany support

* Thu Apr 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-6mdk
- enable the mdnsresponder support

* Fri Apr  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-5mdk
- fix application init
- reenable epiphany plugin

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-4mdk
- fix buildrequires

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-3mdk
- fix buildrequires

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-2mdk
- enable network
- requires dbus-x11 (fixes bug #14997)
- fix buildrequires

* Sun Mar 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-1mdk
- update file list
- New release 0.0.8.1

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.7-2mdk
- I don't like bad program with requires specific FF version... (fix upgrade from MDK 10.1)

* Thu Mar  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- update firefox dependancy
- update file list
- new version

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.6.1-3mdk
- rebuild for new dbus-sharp

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-2mdk
- build with firefox

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-1mdk
- disable gst-sharp
- requires new dbus-sharp and gmime-sharp
- New release 0.0.6.1

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-2mdk
- fix buildrequires

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update the dll configuration
- New release 0.0.5

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-5mdk
- fix a debug message
- fix the menu entry
- fix some DllImports

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-4mdk
- add the mozilla extension
- fix buildrequires

* Sun Jan 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-3mdk
- fix buildrequires

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-2mdk
- fix buildrequires

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- disable epiphany extension
- add the new deps
- New release 0.0.4

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-3mdk
- fix menu

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- move beagle-epiphany-index to the epiphany package
- add menu entry

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
